Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.FetchMetadataResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.FetchMetadataResponse`, `ClientWireProtocol.FetchMetadataResponse.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.FetchMetadataResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `containsCols2Pos​(String key)` | `map<string, sfixed32> cols2pos = 2;`
`boolean` | `containsCols2Types​(String key)` | `map<string, string> cols2Types = 3;`
`Map<String,​Integer>` | `getCols2Pos()` | Deprecated.
`int` | `getCols2PosCount()` | `map<string, sfixed32> cols2pos = 2;`
`Map<String,​Integer>` | `getCols2PosMap()` | `map<string, sfixed32> cols2pos = 2;`
`int` | `getCols2PosOrDefault​(String key, int defaultValue)` | `map<string, sfixed32> cols2pos = 2;`
`int` | `getCols2PosOrThrow​(String key)` | `map<string, sfixed32> cols2pos = 2;`
`Map<String,​String>` | `getCols2Types()` | Deprecated.
`int` | `getCols2TypesCount()` | `map<string, string> cols2Types = 3;`
`Map<String,​String>` | `getCols2TypesMap()` | `map<string, string> cols2Types = 3;`
`String` | `getCols2TypesOrDefault​(String key, String defaultValue)` | `map<string, string> cols2Types = 3;`
`String` | `getCols2TypesOrThrow​(String key)` | `map<string, string> cols2Types = 3;`
`ClientWireProtocol.ConfirmationResponse` | `getResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder` | `getResponseOrBuilder()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean` | `hasResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasResponse

boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  Whether the response field is set.

### getResponse

ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  The response.

### getResponseOrBuilder

ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getCols2PosCount

int getCols2PosCount()
`map<string, sfixed32> cols2pos = 2;`

### containsCols2Pos

boolean containsCols2Pos​(String key)
`map<string, sfixed32> cols2pos = 2;`

### getCols2Pos

@Deprecated Map<String,​Integer> getCols2Pos()
Deprecated.
Use `getCols2PosMap()` instead.

### getCols2PosMap

Map<String,​Integer> getCols2PosMap()
`map<string, sfixed32> cols2pos = 2;`

### getCols2PosOrDefault

int getCols2PosOrDefault​(String key, int defaultValue)
`map<string, sfixed32> cols2pos = 2;`

### getCols2PosOrThrow

int getCols2PosOrThrow​(String key)
`map<string, sfixed32> cols2pos = 2;`

### getCols2TypesCount

int getCols2TypesCount()
`map<string, string> cols2Types = 3;`

### containsCols2Types

boolean containsCols2Types​(String key)
`map<string, string> cols2Types = 3;`

### getCols2Types

@Deprecated Map<String,​String> getCols2Types()
Deprecated.
Use `getCols2TypesMap()` instead.

### getCols2TypesMap

Map<String,​String> getCols2TypesMap()
`map<string, string> cols2Types = 3;`

### getCols2TypesOrDefault

String getCols2TypesOrDefault​(String key, String defaultValue)
`map<string, string> cols2Types = 3;`

### getCols2TypesOrThrow

String getCols2TypesOrThrow​(String key)
`map<string, string> cols2Types = 3;`